%define name	glchess
%define version	1.0.2
%define release	%mkrel 1

Summary:	GlChess, a 3d Chess game using OpenGL
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Games/Boards
Requires:	gnuchess
Requires:   pygtk2.0-libglade
Requires:   python-gtkglext

Source:		http://prdownloads.sourceforge.net/glchess/%{name}-%{version}.tar.bz2
Source1:	%{name}-png.tar.bz2

BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	python
BuildRequires:	python-devel
Url:		http://glchess.sourceforge.net/
BuildArch:  noarch

%description
A very nice Chess game using OpenGL.

%prep
%setup -q
perl -pi -e 's,/usr/local/share/games,%{_gamesdatadir},' glchessrc

%build
python setup.py build

%install
rm -rf $RPM_BUILD_ROOT
python setup.py install --root %buildroot --install-scripts=%{_gamesbindir}

mkdir -p $RPM_BUILD_ROOT%{_miconsdir}
mkdir -p $RPM_BUILD_ROOT%{_iconsdir}
mkdir -p $RPM_BUILD_ROOT%{_liconsdir}
bzip2 -dc %{SOURCE1} | tar xvf -
install -m0644 glchess-16.png $RPM_BUILD_ROOT%{_miconsdir}/glchess.png
install -m0644 glchess-32.png $RPM_BUILD_ROOT%{_iconsdir}/glchess.png
install -m0644 glchess-48.png $RPM_BUILD_ROOT%{_liconsdir}/glchess.png

mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat <<EOF >$RPM_BUILD_ROOT%{_menudir}/glchess
?package(%{name}):command="%{_gamesbindir}/glchess" \
		  icon="glchess.png" \
		  needs="x11" \
		  section="Amusement/Boards" \
		  title="GlChess" \
		  longtitle="3d Chess game"\
          xdg="true"
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%files
%defattr(-,root,root)
%doc COPYING README BUGS ChangeLog TODO
%_gamesbindir/*
%{_gamesdatadir}/%{name}
%python_sitelib/%{name}
%py_puresitedir/%{name}-%{version}-*-info
%{_miconsdir}/glchess.png
%{_iconsdir}/glchess.png
%{_liconsdir}/glchess.png
%{_menudir}/glchess
%{_datadir}/applications/glchess.desktop
%_datadir/gconf/schemas/*
%_datadir/mime/packages/*
%_datadir/pixmaps/*


%changelog
* Fri Mar 02 2007 Olivier Thauvin <nanardon@mandriva.org> 1.0.2-1mdv2007.0
+ Revision: 131618
- 1.0.2

* Sun Jan 14 2007 Olivier Thauvin <nanardon@mandriva.org> 1.0.1-2mdv2007.1
+ Revision: 108721
- buildrequires
- rebuild
- 0.9.5
- Import glchess

  + Lenny Cartier <lenny@mandriva.com>
    - Update to 1.0.1



* Sat Aug 28 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.4.7-3mdk
- Rebuild with new menu

* Wed Jun 02 2004 Michael Scherer <misc@mandrake.org>  0.4.7-2mdk
- Birthday rebuild
- BuildRequires adaptation

* Mon Feb 24 2003 Franois Pons <fpons@mandrakesoft.com> 0.4.7-1mdk
- 0.4.7.

* Wed Apr 03 2002 Franois Pons <fpons@mandrakesoft.com> 0.4.6-1mdk
- 0.4.6.

* Wed Jan 23 2002 Franois Pons <fpons@mandrakesoft.com> 0.4.4-1mdk
- 0.4.4.

* Mon Jan 14 2002 Franois Pons <fpons@mandrakesoft.com> 0.4.3-1mdk
- use png files instead of xpm for icons.
- 0.4.3.

* Tue Dec 11 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.4.1-1mdk
- 0.4.1.

* Thu Sep 06 2001 Franois Pons <fpons@mandrakesoft.com> 0.3.5-2mdk
- added requires on gnuchess (fpitoun).

* Wed Sep 05 2001 Franois Pons <fpons@mandrakesoft.com> 0.3.5-1mdk
- initial release.
